Skip to main content
Create Chat Completion
curl --request POST \
  --url https://{api_endpoint}/v1/completions/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "messages": [
    {
      "role": "<string>",
      "content": "<string>",
      "name": "<string>"
    }
  ],
  "frequency_penalty": 0,
  "presence_penalty": 0,
  "logit_bias": {},
  "temperature": 1,
  "n": 1,
  "seed": 123,
  "stop": [
    "<string>"
  ],
  "stream": false,
  "top_p": 1,
  "max_tokens": 123,
  "tools": [
    {
      "function": {
        "name": "<string>",
        "description": "<string>",
        "parameters": {}
      },
      "type": "function"
    }
  ],
  "tool_choice": "auto",
  "user": "<string>",
  "extra_model_args": {}
}
'
import requests

url = "https://{api_endpoint}/v1/completions/chat"

payload = {
    "model": "<string>",
    "messages": [
        {
            "role": "<string>",
            "content": "<string>",
            "name": "<string>"
        }
    ],
    "frequency_penalty": 0,
    "presence_penalty": 0,
    "logit_bias": {},
    "temperature": 1,
    "n": 1,
    "seed": 123,
    "stop": ["<string>"],
    "stream": False,
    "top_p": 1,
    "max_tokens": 123,
    "tools": [
        {
            "function": {
                "name": "<string>",
                "description": "<string>",
                "parameters": {}
            },
            "type": "function"
        }
    ],
    "tool_choice": "auto",
    "user": "<string>",
    "extra_model_args": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    model: '<string>',
    messages: [{role: '<string>', content: '<string>', name: '<string>'}],
    frequency_penalty: 0,
    presence_penalty: 0,
    logit_bias: {},
    temperature: 1,
    n: 1,
    seed: 123,
    stop: ['<string>'],
    stream: false,
    top_p: 1,
    max_tokens: 123,
    tools: [
      {
        function: {name: '<string>', description: '<string>', parameters: {}},
        type: 'function'
      }
    ],
    tool_choice: 'auto',
    user: '<string>',
    extra_model_args: {}
  })
};

fetch('https://{api_endpoint}/v1/completions/chat', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "content": "<string>",
  "response_metadata": {}
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required
messages
ChatMessage · object[]
required
frequency_penalty
number | null
default:0
presence_penalty
number | null
default:0
logit_bias
Logit Bias · object | null
temperature
number | null
default:1
n
integer | null
default:1
seed
integer | null
stop
string[] | null
stream
boolean | null
default:false
top_p
number | null
default:1
max_tokens
integer | null
tools
Tool · object[] | null
tool_choice
string | null
default:auto
user
string | null
extra_model_args
Extra Model Args · object | null

Response

Successful Response

content
string
required
response_metadata
Response Metadata · object | null